## r-cran-permute 0.9

=== DESCRIPTION ===
Package: permute
Title: Functions for Generating Restricted Permutations of Data
Version: 0.9-7
Date: 2022-01-27
Authors@R: c(person(given = "Gavin L.", family = "Simpson",
                    email = "ucfagls@gmail.com",
                    role = c("aut", "cph", "cre"),
		            comment = c(ORCID = "0000-0002-9084-8413")),
             person(given = "R Core Team", role = "cph"),
             person(given = "Douglas M.", family = "Bates", role = "ctb"),
             person(given = "Jari", family = "Oksanen", role = "ctb"))
Depends: R (>= 2.14.0)
Imports: stats
Suggests: vegan (>= 2.0-0), testthat (>= 0.5), parallel, knitr,
        rmarkdown, bookdown, sessioninfo
Description: A set of restricted permutation designs for freely exchangeable, line transects (time series), and spatial grid designs plus permutation of blocks (groups of samples) is provided. 'permute' also allows split-plot designs, in which the whole-plots or split-plots or both can be freely-exchangeable or one of the restricted designs. The 'permute' package is modelled after the permutation schemes of 'Canoco 3.1' (and later) by Cajo ter Braak.
License: GPL-2
ByteCompile: true
URL: https://github.com/gavinsimpson/permute
BugReports: https://github.com/gavinsimpson/permute/issues
Copyright: see file COPYRIGHTS
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2022-01-27 11:11:56 UTC; au690221
Author: Gavin L. Simpson [aut, cph, cre]
    (<https://orcid.org/0000-0002-9084-8413>),
  R Core Team [cph],
  Douglas M. Bates [ctb],
  Jari Oksanen [ctb]
Maintainer: Gavin L. Simpson <ucfagls@gmail.com>
Repository: CRAN
Date/Publication: 2022-01-27 11:50:02 UTC

## r-cran-permute 0.9-4

=== debian/changelog ===
r-cran-permute (0.9-4-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 21:13:50 +0200

r-cran-permute (0.9-4-2) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Add README.source about RData file.
  * Bump debhelper compat to 11~.
  * Bump Standards-Version to 4.1.3.
  * Switch to https in watch file.

  [ Andreas Tille ]
  * Consistent naming (source package = binary package)

 -- Andreas Tille <tille@debian.org>  Fri, 16 Mar 2018 10:37:26 +0100

permute (0.9-4-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sun, 13 Nov 2016 09:08:42 +0100

permute (0.9-0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * fix autopkgtest
  * update d/copyright

 -- Andreas Tille <tille@debian.org>  Mon, 08 Aug 2016 09:40:45 +0200

permute (0.8-3-1) unstable; urgency=medium

  * New upstream version
  * Bump r-cran-vegan and r-cran-testthat from Suggests to Recommends
    since both are available now
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 01 Jul 2014 17:40:02 +0200

permute (0.8-0-1) unstable; urgency=low

  [ Charles Plessy ]
  * debian/control: removed myself from Uploaders.

  [ Andreas Tille ]
  * New upstream version
  * debian/control:
     - Added myself to Uploaders
     - cme fix dpkg-control
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2014 11:06:18 +0100

permute (0.7-0-2) unstable; urgency=low

  c2e9ac7 Normalised VCS URLs following Lintian's standard.
  10d9eb3 Removed obsolete DM-Upload-Allowed field.
  3876041 Normalised with 'cme fix dpkg-control'.
  69a5afb Using Debhelper 9.
  612ef1a Conforms with Policy 3.9.4.

 -- Charles Plessy <plessy@debian.org>  Thu, 04 Apr 2013 14:30:11 +0900

permute (0.7-0-1) unstable; urgency=low

  069836c Imported Upstream version 0.7-0
  1e69ec9 No new license or copyright statement in the new upstream release.
  d08703b Attempt to summarise Permute's license.
  bb492c0 Conforms to Policy 3.9.3.
  b79e8d9 Obtain ${R:Depends} directly throuhg r-base-dev.

 -- Charles Plessy <plessy@debian.org>  Mon, 14 May 2012 13:13:37 +0900

permute (0.6-3-1) unstable; urgency=low

  dbb6472 Initial release for Debian (Closes: #659689).

 -- Charles Plessy <plessy@debian.org>  Tue, 14 Feb 2012 19:16:34 +0900

permute (0.6-3-0~natty1) natty; urgency=low

  1012056 Pre-release for natty on Debian Med PPA.

 -- Charles Plessy <plessy@debian.org>  Thu, 17 Nov 2011 17:09:47 +0900

=== debian/control ===
Source: r-cran-permute
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-permute
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-permute.git
Homepage: https://cran.r-project.org/package=permute

Package: r-cran-permute
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R functions for generating restricted permutations of data
 Implements a set of restricted permutation designs for freely exchangeable,
 line transects (time series), and spatial grid designs plus permutation of
 blocks (groups of samples). ‘permute’ also allows split-plot designs, in which
 the whole-plots or split-plots or both can be freely-exchangeble or one of the
 restricted designs. The permute package is modelled after the permutation
 schemes of Canoco 3.1 by Cajo ter Braak.

## r-cran-permute 0.9-5

=== debian/changelog ===
r-cran-permute (0.9-5-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 21:08:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-permute
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-permute.git
 Homepage: https://cran.r-project.org/package=permute

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/permute_([\d.-]*)\.tar.gz

## r-cran-permute 0.9-7

=== debian/changelog ===
r-cran-permute (0.9-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 23:00:07 +0100

r-cran-permute (0.9-5-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 08:43:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-permute
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-permute.git
 Homepage: https://cran.r-project.org/package=permute
+Rules-Requires-Root: no
 
 Package: r-cran-permute
 Architecture: all

## r-cran-permute 0.9-8

=== debian/changelog ===
r-cran-permute (0.9-8-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 15:45:58 +0900

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
-Standards-Version: 4.6.0
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-permute
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-permute.git
 Homepage: https://cran.r-project.org/package=permute

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-vegan (>= 2.0-0),
        r-cran-testthat (>= 0.5),
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-bookdown,
        r-cran-sessioninfo
Restrictions: allow-stderr

## r-cran-permute 0.9-10

=== debian/changelog ===
r-cran-permute (0.9-10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 10:17:54 +0900

=== debian/control ===
Source: r-cran-permute
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-permute
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-permute.git
Homepage: https://cran.r-project.org/package=permute
Rules-Requires-Root: no

Package: r-cran-permute
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: R functions for generating restricted permutations of data
 Implements a set of restricted permutation designs for freely exchangeable,
 line transects (time series), and spatial grid designs plus permutation of
 blocks (groups of samples). ‘permute’ also allows split-plot designs, in which
 the whole-plots or split-plots or both can be freely-exchangeble or one of the
 restricted designs. The permute package is modelled after the permutation
 schemes of Canoco 3.1 by Cajo ter Braak.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-vegan (>= 2.0-0),
 r-cran-testthat (>= 0.5),
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-bookdown,
 r-cran-sessioninfo,
